| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StationRec Class Reference

Class for storing station information. More...

List of all members.

## Public Member Functions
| StationRec ()
| Empty Constructor.
| StationRec (const string stationIdentity, const string descript, const string antenn, const string purpos, const string typ, const long maskPt, double *azim, double *elevat, const double statLong, const double statLat, const double statAlt, double *projectLong, double *projectLat, const long point, const double longitudeMax, const double latitudeMax, const double longitudeMin, const double latitudeMin, const long numMissionList, string missNames[], double *misAosEl, double *misLosEl, string misMaskType[])
| Constructor with parameters.
| ~StationRec ()
| Destructor.
## Public Attributes
string | stationId
| Station name.
string | descriptor
| Station Description.
string | antenna
| Frequency band of the antenna.
string | purpose
| Station purpose.
string | type
| Antenna type (not used).
long | numMaskPt
| Number of mask points.
double | azimuth [MaxStationVertices]
| Azimuth for mask points.
double | elevation [MaxStationVertices]
| Elevation for mask points.
double | stationLong
| Station longitude.
double | stationLat
| Station latitude.
double | stationAlt
| Station altitude.
double | projLong [MaxStationVertices]
| Longitude points for the station zone that are equivalent to the set of azimuth/elevation points (These points are not read from the file but computed in StationVisTime).
double | projLat [MaxStationVertices]
| latitude points for the station zone that are equivalent to the set of azimuth/elevation points (These points are not read from the file but computed in StationVisTime)
long | points
| Number of point in projLong/projLat arrays.
double | longMax
| Maximum longitude of the station zone.
double | latMax
| Maximum latitude of the station zone.
double | longMin
| Minimum longitude of the station zone.
double | latMin
| Minimum latitude of the station zone.
long | missionList
| Number of missions.
string | missionName [MaxNumberOfMissions]
| Mission name.
double | missionAosEl [MaxNumberOfMissions]
| AOS Elevation for a specific mission.
double | missionLosEl [MaxNumberOfMissions]
| LOS Elevation for a specific mission.
string | missionMaskType [MaxNumberOfMissions]
| Mask Type for the mission. Possible values: AOS_LOS_WITH_MASK, AOS_LOS, MASK_ONLY.

## Detailed Description

Class for storing station information.

## Constructor & Destructor Documentation

EECFI::StationRec::StationRec | ( |  | ) |

Empty Constructor.

EECFI::StationRec::StationRec | ( | const string | stationIdentity,
|  | const string | descript,
|  | const string | antenn,
|  | const string | purpos,
|  | const string | typ,
|  | const long | maskPt,
|  | double * | azim,
|  | double * | elevat,
|  | const double | statLong,
|  | const double | statLat,
|  | const double | statAlt,
|  | double * | projectLong,
|  | double * | projectLat,
|  | const long | point,
|  | const double | longitudeMax,
|  | const double | latitudeMax,
|  | const double | longitudeMin,
|  | const double | latitudeMin,
|  | const long | numMissionList,
|  | string | missNames[],
|  | double * | misAosEl,
|  | double * | misLosEl,
|  | string | misMaskType[] |
| ) |  |  |

Constructor with parameters.

References antenna, azimuth, descriptor, elevation, latMax, latMin, longMax, longMin, missionAosEl, missionList, missionLosEl, missionMaskType, missionName, numMaskPt, points, projLat, projLong, purpose, stationAlt, stationId, stationLat, stationLong, and type.

EECFI::StationRec::~StationRec | ( |  | ) |

Destructor.

## Member Data Documentation

string EECFI::StationRec::antenna

Frequency band of the antenna.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::azimuth[MaxStationVertices]

Azimuth for mask points.

Referenced by EECFI::StationFile::read(), and StationRec().

string EECFI::StationRec::descriptor

Station Description.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::elevation[MaxStationVertices]

Elevation for mask points.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::latMax

Maximum latitude of the station zone.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::latMin

Minimum latitude of the station zone.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::longMax

Maximum longitude of the station zone.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::longMin

Minimum longitude of the station zone.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::missionAosEl[MaxNumberOfMissions]

AOS Elevation for a specific mission.

Referenced by EECFI::StationFile::read(), and StationRec().

long EECFI::StationRec::missionList

Number of missions.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::missionLosEl[MaxNumberOfMissions]

LOS Elevation for a specific mission.

Referenced by EECFI::StationFile::read(), and StationRec().

string EECFI::StationRec::missionMaskType[MaxNumberOfMissions]

Mask Type for the mission. Possible values: AOS_LOS_WITH_MASK, AOS_LOS, MASK_ONLY.

Referenced by EECFI::StationFile::read(), and StationRec().

string EECFI::StationRec::missionName[MaxNumberOfMissions]

Mission name.

Referenced by EECFI::StationFile::read(), and StationRec().

long EECFI::StationRec::numMaskPt

Number of mask points.

Referenced by EECFI::StationFile::read(), and StationRec().

long EECFI::StationRec::points

Number of point in projLong/projLat arrays.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::projLat[MaxStationVertices]

latitude points for the station zone that are equivalent to the set of azimuth/elevation points (These points are not read from the file but computed in StationVisTime)

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::projLong[MaxStationVertices]

Longitude points for the station zone that are equivalent to the set of azimuth/elevation points (These points are not read from the file but computed in StationVisTime).

Referenced by EECFI::StationFile::read(), and StationRec().

string EECFI::StationRec::purpose

Station purpose.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::stationAlt

Station altitude.

Referenced by EECFI::StationFile::read(), and StationRec().

string EECFI::StationRec::stationId

Station name.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::stationLat

Station latitude.

Referenced by EECFI::StationFile::read(), and StationRec().

double EECFI::StationRec::stationLong

Station longitude.

Referenced by EECFI::StationFile::read(), and StationRec().

string EECFI::StationRec::type

Antenna type (not used).

Referenced by EECFI::StationFile::read(), and StationRec().